#include <Arduino.h>
#include "config.h"
#include "sdcard.h"
#include "ArduinoJson.h"
extern SdFs SD;
extern FsFile LOG_FILE;
extern byte SCSI_INFO_BUF[SCSI_INFO_BUF_SIZE];
// If config file exists, read the first three lines and copy the contents.
// File must be well formed or you will get junk in the SCSI Vendor fields.
void readSCSIDeviceConfig(uint8_t disc) {
  StaticJsonDocument<2048> config;
  FsFile config_file = SD.open("blacksasi.json", O_RDONLY);
  if (!config_file.isOpen()) {
    return;
  }
  
  DeserializationError error = deserializeJson(config, config_file);
  if (error){
    Serial.println(F("Failed to read file"));
    return;
  }
  String configx =config["config"];
  Serial.println(configx);

}